<?php
/*
Plugin Name: AutoSize
Version: 1.1.2
Description: Ajuste l'affichage des photos en fonction de la hauteur de la fenetre de navigation
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=448
Author: cljosse
Author URI:http://cljosse.free.fr
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
if (!defined('AUTOSIZE_PATH')) 
define(
  'AUTOSIZE_PATH',
   PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/'
);

add_event_handler('loc_end_picture', 'cl_autosize_affiche',EVENT_HANDLER_PRIORITY_NEUTRAL+10);
function cl_autosize_affiche()
{
    global $user, $picture, $template,$page;
    global $content, $element_info;   
    global $infos_message,$erreur_message;
    global  $conf,$lang ,$user;

    if ( $page['body_id']=='thePicturePage'  ) {
   if ( isset($picture['current'])){
    $my_path = dirname(__FILE__).'/';
    $autosize_parametres = cl_autosize_Get_Options();
    include (AUTOSIZE_PATH."include/affiche.php"); 	 	
 
    $template->set_filenames(
        array('autosize_content'=> $my_path.'template/autosize.tpl')
    );

       return $template->parse( 'autosize_content', false);
       }
       }
}


//=====================================================================
add_event_handler('get_admin_plugin_menu_links', 'cl_autosize_admin_menu_test');
function cl_autosize_admin_menu_test($menu)
{
global  $lang ;
    array_push($menu, array('NAME' => 'Autosize',
      'URL' => get_admin_plugin_menu_link(AUTOSIZE_PATH . 'admin/admin_autosize.php')));
    return $menu;
}
//===================================================================
function cl_autosize_aff_infos_plus()
{
 global $template,$infos_message,$erreur_message, $user ;
global  $conf,$lang ;

 //==============================================================
  if (isset($erreur_message))
		{	
		if ($erreur_message <> "")
			{
			    $erreur_message=str_replace("\n",'<br />',$erreur_message) ;
   				$template->assign('errors',$erreur_message);
				$erreur_message="";
			}
  		}
  if (isset($infos_message))
		{	
		
		if ($infos_message <> "")
			{
				$infos_message=str_replace("\n",'<br />',$infos_message) ;
   				$template->assign('infos',$infos_message);
				$infos_message="";
			}
  		}
		//=============================================================
return;		 
		
}

//===================================================================================
function cl_autosize_Get_Options()
  {
  global $conf,$autosize_parametres; 
  
       $autosize_parametres =  unserialize($conf['cl_autosize']);
      $autosize_parametres =  cl_autosize_Set_Options();
      return $autosize_parametres;
  }
  //===============================================================================
function cl_autosize_Set_Options()
  {
  global $autosize_parametres;
//=============================================================================
$autosize_parametres->webmaster_height =(isset($_POST['webmaster_height'])) ? $_POST['webmaster_height'] : ((isset($autosize_parametres->webmaster_height )) ? $autosize_parametres->webmaster_height : '100%' ) ;
$autosize_parametres->webmaster_width=(isset($_POST['webmaster_width']))? $_POST['webmaster_width']: ((isset($autosize_parametres->webmaster_width)) ? $autosize_parametres->webmaster_width:  '90%') ;

$autosize_parametres->admin_height =(isset($_POST['admin_height'])) ? $_POST['admin_height'] : ((isset($autosize_parametres->admin_height )) ? $autosize_parametres->admin_height : '90%' ) ;
$autosize_parametres->admin_width=(isset($_POST['admin_width']))? $_POST['admin_width']: ((isset($autosize_parametres->admin_width)) ? $autosize_parametres->admin_width:  '90%') ;

$autosize_parametres->generic_height =(isset($_POST['generic_height'])) ? $_POST['generic_height'] : ((isset($autosize_parametres->generic_height )) ? $autosize_parametres->generic_height : '100%' ) ;
$autosize_parametres->generic_width=(isset($_POST['generic_width']))? $_POST['generic_width']: ((isset($autosize_parametres->generic_width)) ? $autosize_parametres->generic_width:  '90%') ;

$autosize_parametres->guest_height =(isset($_POST['guest_height'])) ? $_POST['guest_height'] : ((isset($autosize_parametres->guest_height )) ? $autosize_parametres->guest_height : '100%' ) ;
$autosize_parametres->guest_width=(isset($_POST['guest_width']))? $_POST['guest_width']: ((isset($autosize_parametres->guest_width)) ? $autosize_parametres->guest_width:  '90%') ;

$autosize_parametres->normal_height =(isset($_POST['normal_height'])) ? $_POST['normal_height'] : ((isset($autosize_parametres->normal_height )) ? $autosize_parametres->normal_height : '100%' ) ;
$autosize_parametres->normal_width=(isset($_POST['normal_width']))? $_POST['normal_width']: ((isset($autosize_parametres->normal_width)) ? $autosize_parametres->normal_width:  '90%') ;


$autosize_parametres->mini_height =(isset($_POST['mini_height'])) ? $_POST['mini_height'] : ((isset($autosize_parametres->mini_height )) ? $autosize_parametres->mini_height : '150' ) ;
$autosize_parametres->mini_width=(isset($_POST['mini_width']))? $_POST['mini_width']: ((isset($autosize_parametres->mini_width)) ? $autosize_parametres->mini_width:  '300') ;

$autosize_parametres->echelle_max=(isset($_POST['echelle_max']))? $_POST['echelle_max'] : ((isset($autosize_parametres->echelle_max)) ? $autosize_parametres->echelle_max :  '1.2'); 
$autosize_parametres->marge_basse=(isset($_POST['marge_basse']))? $_POST['marge_basse']: ((isset($autosize_parametres->marge_basse)) ? $autosize_parametres->marge_basse :  '50');
//===============================================================================	

if ( isset($_POST['submit'] ) && $_POST['submit'] == l10n('cl_autosize_save') )  {  

 	$autosize_parametres->check_auto_w = isset($_POST['check_auto_w']) ? $_POST['check_auto_w'] : "off" ;
	 }else{
   $autosize_parametres->check_auto_w = isset($_POST['check_auto_w']) ? $_POST['check_auto_w'] : ( ( isset($autosize_parametres->check_auto_w) ) ? $autosize_parametres->check_auto_w :   'off') ; ;
   }

return $autosize_parametres;
}
//========================================================================	
function cl_autosize_sauve_options_inf()
{
global $options,$infos_message,$conf,$autosize_parametres  ;
$infos_message .=l10n("cl_autosize_save_config")."<br>";
 $autosize_parametres=cl_autosize_Set_Options();
 
 if ( isset($autosize_parametres) )
 	{
 
		$query = '
    		UPDATE '.CONFIG_TABLE.'
    		SET value="'.addslashes(serialize($autosize_parametres)).'"
    		WHERE param = "cl_autosize"
    		LIMIT 1';
 			pwg_query($query);
	  }
	 
 }
 //=======================================================================
//add_event_handler('loc_end_page_header','cl_autosize_script',40 );	
function cl_autosize_script()
{
   global $user, $picture, $template,$page;
    global $content, $element_info;   
    global $infos_message,$erreur_message;
    global  $conf,$lang ,$user;

    $my_path = dirname(__FILE__).'/';
	
 
    $template->set_filenames(
        array('autosize_cl_content'=> $my_path.'template/cl_conflit.tpl')
    );

  	$template->assign(
  					array(
                    'AUTOSIZE_PATH' => AUTOSIZE_PATH
                                        )
                     );
       return $template->parse( 'autosize_cl_content', false);
       
}

?>